{% extends 'base.html.twig' %}

{% block title %}User profile{% endblock %}
{% block myTitle %} 
    Hello {{ user.username }}
{% endblock %}
{% block body %}

    {% for message in app.flashes('success') %}
        <div class="alert alert-success">
            {{ message }}
        </div>
    {% endfor %}

    <div class="row">
        {% for subscription in subscriptions %}
            <div class="col-12 col-md-6 col-lg-4 col-xl-3">
                <div class="card border-primary mb-3 mx-auto" style="max-width: 20rem;">
                    <div class="card-body">
                        <h3 class="card-title text-center pb-2 mx-3 border-bottom border-primary"> {{ subscription.name }}</h3>
                        <p class="card-text">
                            <h4 class="text-center"> Frequency (days) : {{ subscription.paiementFrequency }}</h4>
                            <h4 class="text-center"> Engagement period (months): {{ subscription.engagementDelay }}</h4>
                            <h4 class="text-center"> Price (euros): {{ subscription.price }}</h4>

                            <form method="POST"  style="display:inline-block" action="{{ path('app_user_affect_subscription', {'id': user.id, 'subscriptionId': subscription.id})}}">
                                <input type="hidden" name="_method" value="POST">
                                <input type="submit" class="btn btn-info" value="Choose">
                            </form>

                            {# <table class="table text-center">
                               <tr class="table-primary">
                                    <td> Propriété </td>                               
                                    <td> Valeur (100g) </td>                               
                               </tr>
                               <tr>
                                    <td> Calorie </td>
                                    <td> {{ aliment.calories }}</td>
                               </tr> 
                               <tr>
                                    <td> Proteines </td>
                                    <td> {{ aliment.proteines }}</td>
                               </tr> 
                               <tr>
                                    <td> Glucides </td>
                                    <td> {{ aliment.glucides }}</td>
                               </tr> 
                               <tr>
                                    <td> Lipides </td>
                                    <td> {{ aliment.lipides }}</td>
                               </tr> 
                            </table> #}
                        </p>
                    </div>
                </div>
            </div>    
        {% endfor %}
    </div>
{% endblock %}
